//Campos de Bits

#include <stdio.h>

struct Normal {
    unsigned int flag1;
    unsigned int flag2;
    unsigned int flag3;
};

// Registro simulado (8 bits)
struct Register {
    unsigned int mode : 3;    // 3 bits para modo (valores 0-7)
    unsigned int enable : 1;  // 1 bit para habilitar
    unsigned int status : 4;  // 4 bits para estado (valores 0-15)
};

int main(void) {

    struct Register reg = {3, 1, 12}; // Modo 3, habilitado, estado 12
    printf("Mode: %u, Enable: %u, Status: %u\n", reg.mode, reg.enable, reg.status);
    printf("Size of Normal: %lu bytes\n", sizeof(struct Normal));  // 12 bytes
    printf("Size of Compact: %lu bytes\n", sizeof(struct Register)); // 4 bytes (en plataformas comunes)
    return 0;
}

